%define up_name     LibVNCServer
%define major       0
%define libname     %mklibname vncserver %{major}
%define develname   %mklibname -d vncserver

Name:       libvncserver
Version:    0.9.10
%define subrel 1
Release:    %mkrel 1
Summary:    An easy API to write one's own VNC server
Group:      System/Libraries
License:    GPLv2
URL:        http://libvnc.github.io
Source:     https://github.com/LibVNC/libvncserver/archive/%{up_name}-%{version}.tar.gz
Patch0:	    LibVNCServer-0.9.9-formatstr.patch
Patch1:	    LibVNCServer-0.9.10-system_minilzo.patch
Patch2:	    libvncserver-0.9.1-multilib.patch

BuildRequires:  libx11-devel
BuildRequires:  libxdamage-devel
BuildRequires:  libxext-devel
BuildRequires:  libxrandr-devel
BuildRequires:  libxtst-devel
BuildRequires:  libxinerama-devel
BuildRequires:  libxfixes-devel
BuildRequires:  openssl-devel
BuildRequires:  zlib-devel
BuildRequires:  jpeg-devel
BuildRequires:  minilzo-devel
BuildRequires:  gettext-devel
BuildRequires:  libgcrypt-devel

%description
LibVNCServer makes writing a VNC server (or more correctly, a program
exporting a framebuffer via the Remote Frame Buffer protocol) easy.

It is based on OSXvnc, which in turn is based on the original Xvnc by
ORL, later AT&T research labs in UK.

It hides the programmer from the tedious task of managing clients and
compression schemata.

%package -n	%{libname}
Summary:	An easy API to write one's own VNC server
Group:		System/Libraries

%description -n	%{libname}
LibVNCServer makes writing a VNC server (or more correctly, a program
exporting a framebuffer via the Remote Frame Buffer protocol) easy.

It is based on OSXvnc, which in turn is based on the original Xvnc by
ORL, later AT&T research labs in UK.

It hides the programmer from the tedious task of managing clients and
compression schemata.

%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{libname}-devel

%description -n	%{develname}
Static libraries and header files for LibVNCServer.

%package -n	linuxvnc
Summary: 	VNC server to monitor a text session
Group:		Networking/Remote access

%description -n	linuxvnc
With linuxvnc you can export your currently running text sessions to any VNC
client. So it can be useful, if you want to move to another computer without
having to log out and if you've forgotten to attach a 'screen' session to it,
or to help a distant colleague to solve a problem.

Based on the ideas of x0rfbserver and on LibVNCServer, it has evolved
into a versatile and performant while still easy to use program.

%prep
%setup -q -n %{name}-%{up_name}-%{version}
%patch0 -p1 -b .formatstr
%patch1 -p1 -b .system_minilzo
#nuke bundled minilzo
rm -f common/lzodefs.h common/lzoconf.h commmon/minilzo.h common/minilzo.c
%patch2 -p1 -b .multilib


%build
autoreconf -fiv
%configure2_5x --disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%{_includedir}/rfb
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_bindir}/libvncserver-config



%changelog
* Fri Jul 08 2016 daviddavid <daviddavid> 0.9.10-1.1.mga5
+ Revision: 1039863
- add BR libgcrypt-devel (fixes mga#18895)
- fix license

* Tue Feb 17 2015 lmenut <lmenut> 0.9.10-1.mga5
+ Revision: 815424
- Update to 0.9.10
  remove patches merged upstream
  rediff system_minilzo patch
  remove linuxvnc splitted out upstream in vncterm

* Wed Nov 26 2014 oden <oden> 0.9.9-8.mga5
+ Revision: 799333
- the autopoo is broken, do it the hard way...
- run autoreconf -fi to pickup the changes
- sync with libvncserver-0.9.9-9.el7_0.1.src.rpm:
 - P7: build against the system minilzo library (rhbz#813764, rhbz#439979)
 - P8: nuke the %%multiarch cruft
 - P9: pkgconfig love (rhbz#854111)

* Wed Oct 15 2014 umeabot <umeabot> 0.9.9-7.mga5
+ Revision: 746830
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 luigiwalser <luigiwalser> 0.9.9-6.mga5
+ Revision: 736630
- add upstream patches to fix CVE-2014-605[1-5] (mga#14155)

* Tue Sep 16 2014 umeabot <umeabot> 0.9.9-5.mga5
+ Revision: 681848
- Mageia 5 Mass Rebuild

* Tue Aug 19 2014 luigiwalser <luigiwalser> 0.9.9-4.mga5
+ Revision: 665627
- add patch from KDE to fix CVE-2014-4607 in bundled minilzo

* Fri Oct 18 2013 umeabot <umeabot> 0.9.9-3.mga4
+ Revision: 507418
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.9.9-2.mga3
+ Revision: 358399
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 19 2012 luigiwalser <luigiwalser> 0.9.9-1.mga3
+ Revision: 282355
- 0.9.9
- fix format string error

* Tue Jan 03 2012 fwang <fwang> 0.9.8.2-1.mga2
+ Revision: 189960
- new version 0.9.8.2
- new version 0.9.8

  + ahmad <ahmad>
    - imported package libvncserver


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-4mdv2011.0
+ Revision: 602613
- rebuild

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-3mdv2010.1
+ Revision: 488785
- rebuilt against libjpeg v8

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-2mdv2010.0
+ Revision: 416627
- rebuilt against libjpeg v7

* Thu Feb 05 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.7-1mdv2009.1
+ Revision: 337875
- new release
- new devel policy

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 0.9.1-2mdv2009.0
+ Revision: 219560
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Jun 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.1-1mdv2008.0
+ Revision: 34726
- new version

* Thu May 24 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.9-2mdv2008.0
+ Revision: 30918
- don't ship x11vnc, it is distributed separatly

* Tue May 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.9-1mdv2008.0
+ Revision: 29922
- new version

* Tue Apr 24 2007 Laurent Montel <lmontel@mandriva.org> 0.8.2-3mdv2008.0
+ Revision: 17763
- Fix include when it used with c++


* Mon Feb 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.2-2mdv2007.0
+ Revision: 119029
- fix the binary swap between subpackages (fix #28546)

* Mon Dec 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.2-1mdv2007.1
+ Revision: 94802
- Import libvncserver

* Thu Dec 07 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.2-1mdv2007.1
- first mdv release

